Index: sasmodels/models/barbell.py
===================================================================
--- sasmodels/models/barbell.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/barbell.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -108,6 +108,6 @@
               ["radius",      "Ang",         20, [0, inf],    "volume",      "Cylindrical bar radius"],
               ["length",      "Ang",        400, [0, inf],    "volume",      "Cylinder bar length"],
-              ["theta",       "degrees",     60, [-inf, inf], "orientation", "In plane angle"],
-              ["phi",         "degrees",     60, [-inf, inf], "orientation", "Out of plane angle"],
+              ["theta",       "degrees",     60, [-360, 360], "orientation", "Barbell axis to beam angle"],
+              ["phi",         "degrees",     60, [-360, 360], "orientation", "Rotation about beam"],
              ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/bcc_paracrystal.py
===================================================================
--- sasmodels/models/bcc_paracrystal.py	(revision 1f65db5404f3699702c73813aa266ee7f996edf5)
+++ sasmodels/models/bcc_paracrystal.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -123,7 +123,7 @@
               ["sld",         "1e-6/Ang^2",  4,    [-inf, inf], "sld",         "Particle scattering length density"],
               ["sld_solvent", "1e-6/Ang^2",  1,    [-inf, inf], "sld",         "Solvent scattering length density"],
-              ["theta",       "degrees",    60,    [-inf, inf], "orientation", "In plane angle"],
-              ["phi",         "degrees",    60,    [-inf, inf], "orientation", "Out of plane angle"],
-              ["psi",         "degrees",    60,    [-inf, inf], "orientation", "Out of plane angle"]
+              ["theta",       "degrees",    60,    [-360, 360], "orientation", "c axis to beam angle"],
+              ["phi",         "degrees",    60,    [-360, 360], "orientation", "rotation about beam"],
+              ["psi",         "degrees",    60,    [-360, 360], "orientation", "rotation about c axis"]
              ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/capped_cylinder.py
===================================================================
--- sasmodels/models/capped_cylinder.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/capped_cylinder.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -129,6 +129,6 @@
               ["radius_cap", "Ang",     20, [0, inf],    "volume", "Cap radius"],
               ["length",     "Ang",    400, [0, inf],    "volume", "Cylinder length"],
-              ["theta",      "degrees", 60, [-inf, inf], "orientation", "inclination angle"],
-              ["phi",        "degrees", 60, [-inf, inf], "orientation", "deflection angle"],
+              ["theta",      "degrees", 60, [-360, 360], "orientation", "cylinder axis to beam angle"],
+              ["phi",        "degrees", 60, [-360, 360], "orientation", "rotation about beam"],
              ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/core_shell_bicelle.py
===================================================================
--- sasmodels/models/core_shell_bicelle.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/core_shell_bicelle.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -47,5 +47,5 @@
 .. math::
 
-        \begin{align}    
+    \begin{align}    
     F(Q,\alpha) = &\bigg[ 
     (\rho_c - \rho_f) V_c \frac{2J_1(QRsin \alpha)}{QRsin\alpha}\frac{sin(QLcos\alpha/2)}{Q(L/2)cos\alpha} \\
@@ -69,5 +69,7 @@
 .. figure:: img/cylinder_angle_definition.jpg
 
-    Definition of the angles for the oriented core shell bicelle tmodel.
+    Definition of the angles for the oriented core shell bicelle model,
+    note that the cylinder axis of the bicelle starts along the beam direction
+    when $\theta  = \phi = 0$.
 
 
@@ -135,6 +137,6 @@
     ["sld_rim",        "1e-6/Ang^2", 4, [-inf, inf], "sld",         "Cylinder rim scattering length density"],
     ["sld_solvent",    "1e-6/Ang^2", 1, [-inf, inf], "sld",         "Solvent scattering length density"],
-    ["theta",          "degrees",   90, [-inf, inf], "orientation", "In plane angle"],
-    ["phi",            "degrees",    0, [-inf, inf], "orientation", "Out of plane angle"],
+    ["theta",          "degrees",   90, [-360, 360], "orientation", "cylinder axis to beam angle"],
+    ["phi",            "degrees",    0, [-360, 360], "orientation", "rotation about beam"]
     ]
 
@@ -160,5 +162,5 @@
 qy = q*sin(pi/6.0)
 tests = [[{}, 0.05, 7.4883545957],
-        [{'theta':80., 'phi':10.}, (qx, qy), 2.81048892474 ],
+        [{'theta':80., 'phi':10.}, (qx, qy), 2.81048892474 ]
         ]
 del qx, qy  # not necessary to delete, but cleaner
Index: sasmodels/models/core_shell_bicelle_elliptical.py
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical.py	(revision 15a90c1aa6a67491d6170c2aa26907b5939da063)
+++ sasmodels/models/core_shell_bicelle_elliptical.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -119,14 +119,14 @@
     ["radius",         "Ang",       30, [0, inf],    "volume",      "Cylinder core radius"],
     ["x_core",        "None",       3,  [0, inf],    "volume",      "axial ratio of core, X = r_polar/r_equatorial"],
-    ["thick_rim",  "Ang",        8, [0, inf],    "volume",      "Rim shell thickness"],
-    ["thick_face", "Ang",       14, [0, inf],    "volume",      "Cylinder face thickness"],
-    ["length",         "Ang",      50, [0, inf],    "volume",      "Cylinder length"],
+    ["thick_rim",  "Ang",            8, [0, inf],    "volume",      "Rim shell thickness"],
+    ["thick_face", "Ang",           14, [0, inf],    "volume",      "Cylinder face thickness"],
+    ["length",         "Ang",       50, [0, inf],    "volume",      "Cylinder length"],
     ["sld_core",       "1e-6/Ang^2", 4, [-inf, inf], "sld",         "Cylinder core scattering length density"],
     ["sld_face",       "1e-6/Ang^2", 7, [-inf, inf], "sld",         "Cylinder face scattering length density"],
     ["sld_rim",        "1e-6/Ang^2", 1, [-inf, inf], "sld",         "Cylinder rim scattering length density"],
     ["sld_solvent",    "1e-6/Ang^2", 6, [-inf, inf], "sld",         "Solvent scattering length density"],
-    ["theta",          "degrees",   90, [-360, 360], "orientation", "In plane angle"],
-    ["phi",            "degrees",    0, [-360, 360], "orientation", "Out of plane angle"],
-    ["psi",            "degrees",    0, [-360, 360], "orientation", "Major axis angle relative to Q"],
+    ["theta",       "degrees",    90.0, [-360, 360], "orientation", "cylinder axis to beam angle"],
+    ["phi",         "degrees",    0,    [-360, 360], "orientation", "rotation about beam"],
+    ["psi",         "degrees",    0,    [-360, 360], "orientation", "rotation about cylinder axis"]
     ]
 
Index: sasmodels/models/core_shell_cylinder.py
===================================================================
--- sasmodels/models/core_shell_cylinder.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/core_shell_cylinder.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -117,8 +117,8 @@
               ["length", "Ang", 400, [0, inf], "volume",
                "Cylinder length"],
-              ["theta", "degrees", 60, [-inf, inf], "orientation",
-               "In plane angle"],
-              ["phi", "degrees", 60, [-inf, inf], "orientation",
-               "Out of plane angle"],
+              ["theta", "degrees", 60, [-360, 360], "orientation",
+               "cylinder axis to beam angle"],
+              ["phi", "degrees",   60, [-360, 360], "orientation",
+               "rotation about beam"],
              ]
 
Index: sasmodels/models/core_shell_ellipsoid.py
===================================================================
--- sasmodels/models/core_shell_ellipsoid.py	(revision 8e68ea06a7246c4bd95ce82c755719ced6fa5a60)
+++ sasmodels/models/core_shell_ellipsoid.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -132,6 +132,6 @@
     ["sld_shell",     "1e-6/Ang^2", 1,   [-inf, inf], "sld",         "Shell scattering length density"],
     ["sld_solvent",   "1e-6/Ang^2", 6.3, [-inf, inf], "sld",         "Solvent scattering length density"],
-    ["theta",         "degrees",    0,   [-inf, inf], "orientation", "Oblate orientation wrt incoming beam"],
-    ["phi",           "degrees",    0,   [-inf, inf], "orientation", "Oblate orientation in the plane of the detector"],
+    ["theta",         "degrees",    0,   [-360, 360], "orientation", "elipsoid axis to beam angle"],
+    ["phi",           "degrees",    0,   [-360, 360], "orientation", "rotation about beam"],
     ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/core_shell_parallelepiped.py
===================================================================
--- sasmodels/models/core_shell_parallelepiped.py	(revision 1f65db5404f3699702c73813aa266ee7f996edf5)
+++ sasmodels/models/core_shell_parallelepiped.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -153,10 +153,10 @@
               ["thick_rim_c", "Ang", 10, [0, inf], "volume",
                "Thickness of C rim"],
-              ["theta", "degrees", 0, [-inf, inf], "orientation",
-               "In plane angle"],
-              ["phi", "degrees", 0, [-inf, inf], "orientation",
-               "Out of plane angle"],
-              ["psi", "degrees", 0, [-inf, inf], "orientation",
-               "Rotation angle around its own c axis against q plane"],
+              ["theta", "degrees", 0, [-360, 360], "orientation",
+               "c axis to beam angle"],
+              ["phi", "degrees", 0, [-360, 360], "orientation",
+               "rotation about beam"],
+              ["psi", "degrees", 0, [-360, 360], "orientation",
+               "rotation about c axis"],
              ]
 
Index: sasmodels/models/cylinder.py
===================================================================
--- sasmodels/models/cylinder.py	(revision 3330bb44faf647c84e605c5a75bed3f385a25a52)
+++ sasmodels/models/cylinder.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -127,8 +127,8 @@
               ["length", "Ang", 400, [0, inf], "volume",
                "Cylinder length"],
-              ["theta", "degrees", 60, [-inf, inf], "orientation",
-               "latitude"],
-              ["phi", "degrees", 60, [-inf, inf], "orientation",
-               "longitude"],
+              ["theta", "degrees", 60, [-360, 360], "orientation",
+               "cylinder axis to beam angle"],
+              ["phi", "degrees",   60, [-360, 360], "orientation",
+               "rotation about beam"],
              ]
 
Index: sasmodels/models/ellipsoid.py
===================================================================
--- sasmodels/models/ellipsoid.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/ellipsoid.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -151,8 +151,8 @@
               ["radius_equatorial", "Ang", 400, [0, inf], "volume",
                "Equatorial radius"],
-              ["theta", "degrees", 60, [-inf, inf], "orientation",
-               "In plane angle"],
-              ["phi", "degrees", 60, [-inf, inf], "orientation",
-               "Out of plane angle"],
+              ["theta", "degrees", 60, [-360, 360], "orientation",
+               "ellipsoid axis to beam angle"],
+              ["phi", "degrees", 60, [-360, 360], "orientation",
+               "rotation about beam"],
              ]
 
Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision 15a90c1aa6a67491d6170c2aa26907b5939da063)
+++ sasmodels/models/elliptical_cylinder.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -126,7 +126,7 @@
               ["sld",         "1e-6/Ang^2", 4.0,   [-inf, inf], "sld",         "Cylinder scattering length density"],
               ["sld_solvent", "1e-6/Ang^2", 1.0,   [-inf, inf], "sld",         "Solvent scattering length density"],
-              ["theta",       "degrees",    90.0,  [-360, 360], "orientation", "In plane angle"],
-              ["phi",         "degrees",    0,     [-360, 360], "orientation", "Out of plane angle"],
-              ["psi",         "degrees",    0,     [-360, 360], "orientation", "Major axis angle relative to Q"]]
+              ["theta",       "degrees",    90.0,  [-360, 360], "orientation", "cylinder axis to beam angle"],
+              ["phi",         "degrees",    0,     [-360, 360], "orientation", "rotation about beam"],
+              ["psi",         "degrees",    0,     [-360, 360], "orientation", "rotation about cylinder axis"]]
 
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/fcc_paracrystal.py
===================================================================
--- sasmodels/models/fcc_paracrystal.py	(revision 1f65db5404f3699702c73813aa266ee7f996edf5)
+++ sasmodels/models/fcc_paracrystal.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -111,7 +111,7 @@
               ["sld", "1e-6/Ang^2", 4, [-inf, inf], "sld", "Particle scattering length density"],
               ["sld_solvent", "1e-6/Ang^2", 1, [-inf, inf], "sld", "Solvent scattering length density"],
-              ["theta", "degrees", 60, [-inf, inf], "orientation", "In plane angle"],
-              ["phi", "degrees", 60, [-inf, inf], "orientation", "Out of plane angle"],
-              ["psi", "degrees", 60, [-inf, inf], "orientation", "Out of plane angle"]
+              ["theta",       "degrees",    60,    [-360, 360], "orientation", "c axis to beam angle"],
+              ["phi",         "degrees",    60,    [-360, 360], "orientation", "rotation about beam"],
+              ["psi",         "degrees",    60,    [-360, 360], "orientation", "rotation about c axis"]
              ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/hollow_cylinder.py
===================================================================
--- sasmodels/models/hollow_cylinder.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/hollow_cylinder.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -82,6 +82,6 @@
     ["sld",         "1/Ang^2",  6.3, [-inf, inf], "sld",         "Cylinder sld"],
     ["sld_solvent", "1/Ang^2",  1,   [-inf, inf], "sld",         "Solvent sld"],
-    ["theta",       "degrees", 90,   [-360, 360], "orientation", "Theta angle"],
-    ["phi",         "degrees",  0,   [-360, 360], "orientation", "Phi angle"],
+    ["theta",       "degrees", 90,   [-360, 360], "orientation", "Cylinder axis to beam angle"],
+    ["phi",         "degrees",  0,   [-360, 360], "orientation", "Rotation about beam"],
     ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/parallelepiped.py
===================================================================
--- sasmodels/models/parallelepiped.py	(revision 3330bb44faf647c84e605c5a75bed3f385a25a52)
+++ sasmodels/models/parallelepiped.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -205,10 +205,10 @@
               ["length_c", "Ang", 400, [0, inf], "volume",
                "Larger side of the parallelepiped"],
-              ["theta", "degrees", 60, [-inf, inf], "orientation",
-               "In plane angle"],
-              ["phi", "degrees", 60, [-inf, inf], "orientation",
-               "Out of plane angle"],
-              ["psi", "degrees", 60, [-inf, inf], "orientation",
-               "Rotation angle around its own c axis against q plane"],
+              ["theta", "degrees", 60, [-360, 360], "orientation",
+               "c axis to beam angle"],
+              ["phi", "degrees", 60, [-360, 360], "orientation",
+               "rotation about beam"],
+              ["psi", "degrees", 60, [-360, 360], "orientation",
+               "rotation about c axis"],
              ]
 
Index: sasmodels/models/sc_paracrystal.py
===================================================================
--- sasmodels/models/sc_paracrystal.py	(revision 1f65db5404f3699702c73813aa266ee7f996edf5)
+++ sasmodels/models/sc_paracrystal.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -83,12 +83,8 @@
 model computation.
 
-<<<<<<< HEAD
 .. figure:: img/parallelepiped_angle_definition.png
 
     Orientation of the crystal with respect to the scattering plane, when 
     $\theta = \phi = 0$ the $c$ axis is along the beam direction (the $z$ axis).
-=======
-.. figure:: img/sc_crystal_angle_definition.jpg
->>>>>>> 3fd04991e2575b02401723d8534c376cd9b66305
 
 Reference
@@ -134,7 +130,7 @@
               ["sld",  "1e-6/Ang^2",         3.0, [0.0, inf],  "sld",         "Sphere scattering length density"],
               ["sld_solvent", "1e-6/Ang^2",  6.3, [0.0, inf],  "sld",         "Solvent scattering length density"],
-              ["theta",       "degrees",     0.0, [-inf, inf], "orientation", "Orientation of the a1 axis w/respect incoming beam"],
-              ["phi",         "degrees",     0.0, [-inf, inf], "orientation", "Orientation of the a2 in the plane of the detector"],
-              ["psi",         "degrees",     0.0, [-inf, inf], "orientation", "Orientation of the a3 in the plane of the detector"],
+              ["theta",       "degrees",    0,    [-360, 360], "orientation", "c axis to beam angle"],
+              ["phi",         "degrees",    0,    [-360, 360], "orientation", "rotation about beam"],
+              ["psi",         "degrees",    0,    [-360, 360], "orientation", "rotation about c axis"]
              ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/stacked_disks.py
===================================================================
--- sasmodels/models/stacked_disks.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/stacked_disks.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -131,6 +131,6 @@
     ["sld_layer",   "1e-6/Ang^2",  0.0, [-inf, inf], "sld",         "Layer scattering length density"],
     ["sld_solvent", "1e-6/Ang^2",  5.0, [-inf, inf], "sld",         "Solvent scattering length density"],
-    ["theta",       "degrees",     0,   [-inf, inf], "orientation", "Orientation of the stacked disk axis w/respect incoming beam"],
-    ["phi",         "degrees",     0,   [-inf, inf], "orientation", "Orientation of the stacked disk in the plane of the detector"],
+    ["theta",       "degrees",     0,   [-360, 360], "orientation", "Orientation of the stacked disk axis w/respect incoming beam"],
+    ["phi",         "degrees",     0,   [-360, 360], "orientation", "Rotation about beam"],
     ]
 # pylint: enable=bad-whitespace, line-too-long
Index: sasmodels/models/triaxial_ellipsoid.py
===================================================================
--- sasmodels/models/triaxial_ellipsoid.py	(revision 1f65db5404f3699702c73813aa266ee7f996edf5)
+++ sasmodels/models/triaxial_ellipsoid.py	(revision 9b79f2966c4083a48b4894b6bf0587bef7a5be09)
@@ -113,9 +113,5 @@
 * **Author:** NIST IGOR/DANSE **Date:** pre 2010
 * **Last Modified by:** Paul Kienzle (improved calculation) **Date:** April 4, 2017
-<<<<<<< HEAD
-* **Last Reviewed by:** Paul Kienzle &Richard Heenan **Date:**  April 4, 2017
-=======
 * **Last Reviewed by:** Paul Kienzle & Richard Heenan **Date:**  April 4, 2017
->>>>>>> 3fd04991e2575b02401723d8534c376cd9b66305
 
 """
@@ -144,10 +140,10 @@
               ["radius_polar", "Ang", 10, [0, inf], "volume",
                "Polar radius, Rc"],
-              ["theta", "degrees", 60, [-inf, inf], "orientation",
-               "In plane angle"],
-              ["phi", "degrees", 60, [-inf, inf], "orientation",
-               "Out of plane angle"],
-              ["psi", "degrees", 60, [-inf, inf], "orientation",
-               "Out of plane angle"],
+              ["theta", "degrees", 60, [-360, 360], "orientation",
+               "polar axis to beam angle"],
+              ["phi", "degrees", 60, [-360, 360], "orientation",
+               "rotation about beam"],
+              ["psi", "degrees", 60, [-360, 360], "orientation",
+               "rotation about polar axis"],
              ]
 
